//
//  ViewController.m
//  aSimpleDemo
//
//  Created by zhangke on 2018/3/23.
//  Copyright © 2018年 RongCloud. All rights reserved.
//

#import "ViewController.h"
#import "RCDCustomConversationVC.h"
#define SCREEN_WIDTH [UIScreen mainScreen].bounds.size.width                 //屏幕宽度
#define SCREEN_HEIGHT [UIScreen mainScreen].bounds.size.height               //屏幕宽度
@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    self.view.backgroundColor = [UIColor whiteColor];
    UIButton *button = [UIButton buttonWithType:UIButtonTypeCustom];
    [button addTarget:self action:@selector(buttonAction:) forControlEvents:UIControlEventTouchUpInside];
    button.frame = CGRectMake(0, 0, 100, 40);
    [button setTitle:@"点击聊天" forState:UIControlStateNormal];
    [button setTitleColor:[UIColor redColor] forState:UIControlStateNormal ];
    button.center = CGPointMake(SCREEN_WIDTH / 2.0, SCREEN_HEIGHT / 2.0);
    [self.view addSubview:button];
}

- (void)buttonAction:(id)sender {
    RCDCustomConversationVC *vc = [[RCDCustomConversationVC alloc] init];
    vc.conversationType = ConversationType_PRIVATE;
    vc.targetId = @"12";
    vc.title = @"12";
    [self.navigationController pushViewController:vc animated:YES];

  
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}


@end
